STRTOIMAX(3)

NAME
strtoimax, strtoumax - convert string to integer

SYNOPSIS
#include <inttypes.h>

intmax_t strtoimax (const char *nptr, char **endptr, int base);
uintmax_t strtoumax (const char *nptr, char **endptr, int base);

DESCRIPTION
These functions are just like strtol() and strtoul(), except that they return a value of type intmax_t and uintmax_t, respectively.

RETURN VALUE
On success, the converted value is returned. If nothing was found to convert, zero is returned. On overflow or underflow INTMAX_MAX or INTMAX_MIN or UINTMAX_MAX is returned, and errno is set to ERANGE.

CONFORMING TO
C99, POSIX 1003.1-2003.

SEE ALSO
imaxabs(3), imaxdiv(3), strtol(3), strtoul(3), wcstoimax(3)